# see https://symfony.com/doc/current/reference/configuration/framework.html

framework:
    secret: '%env(APP_SECRET)%'
    trusted_proxies: '%env(TRUSTED_PROXIES)%'
    trusted_headers: ['x-forwarded-for', 'x-forwarded-host', 'x-forwarded-proto', 'x-forwarded-port', 'x-forwarded-prefix']
    #csrf_protection: true
    #http_method_override: true
    http_cache: true
    http_client:
        default_options:
            http_version: '2.0'

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        enabled: true
        handler_id: '%env(resolve:REDIS_URL)%'
        cookie_secure: auto
        cookie_samesite: lax

    #esi: true
    #fragments: true
    php_errors:
        log: true
